NX Open C++ Reference Guide
|
Represents a @link Features::VariableOffset Features::VariableOffset@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateVariableOffsetBuilder Features::FeatureCollection::CreateVariableOffsetBuilder @endlink <br>
Default values. More...
Public Types | |
enum | MethodOptions { MethodOptionsLinear, MethodOptionsCubic } |
offset methods for creating the new surface More... | |
Public Member Functions | |
double | DistanceTolerance () |
Returns the distance tolerance. | |
NXOpen::SelectFace * | Face () |
Returns the face to be offset Created in NX8.0.0. | |
bool | IsApplyToAll () |
Returns the toggle to set all offsets to equal value. | |
bool | IsKeepParameterization () |
Returns the toggle to maintain source face parameterization in the offset face. | |
bool | IsReverseDirection () |
Returns the toggle to reverse the direction of all offsets. | |
NXOpen::Features::VariableOffsetBuilder::MethodOptions | Method () |
Returns the offset method Created in NX8.0.0. | |
NXOpen::Expression * | OffsetAtA () |
Returns the offset at corner A. | |
NXOpen::Expression * | OffsetAtB () |
Returns the offset at corner B. | |
NXOpen::Expression * | OffsetAtC () |
Returns the offset at corner C. | |
NXOpen::Expression * | OffsetAtD () |
Returns the offset at corner D. | |
NXOpen::Point * | PointA () |
Returns the point at corner A. | |
NXOpen::Point * | PointB () |
Returns the point at corner B. | |
NXOpen::Point * | PointC () |
Returns the point at corner C. | |
NXOpen::Point * | PointD () |
Returns the point at corner D. | |
void | SetApplyToAll (bool isApplyToAll) |
Sets the toggle to set all offsets to equal value. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance. | |
void | SetKeepParameterization (bool isKeepParameterization) |
Sets the toggle to maintain source face parameterization in the offset face. | |
void | SetMethod (NXOpen::Features::VariableOffsetBuilder::MethodOptions method) |
Sets the offset method Created in NX8.0.0. | |
void | SetPointA (NXOpen::Point *point) |
Sets the point at corner A. | |
void | SetPointB (NXOpen::Point *point) |
Sets the point at corner B. | |
void | SetPointC (NXOpen::Point *point) |
Sets the point at corner C. | |
void | SetPointD (NXOpen::Point *point) |
Sets the point at corner D. | |
void | SetReverseDirection (bool isReverseDirection) |
Sets the toggle to reverse the direction of all offsets. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::VariableOffset Features::VariableOffset@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateVariableOffsetBuilder Features::FeatureCollection::CreateVariableOffsetBuilder @endlink <br>
Default values.
Property | Value |
---|---|
IsApplyToAll |
0 |
IsKeepParameterization |
0 |
Method |
Linear |
Created in NX8.0.0.
double NXOpen::Features::VariableOffsetBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance.
Created in NX8.0.0.
License requirements : None
NXOpen::SelectFace* NXOpen::Features::VariableOffsetBuilder::Face | ( | ) |
Returns the face to be offset
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::VariableOffsetBuilder::IsApplyToAll | ( | ) |
Returns the toggle to set all offsets to equal value.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::VariableOffsetBuilder::IsKeepParameterization | ( | ) |
Returns the toggle to maintain source face parameterization in the offset face.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::VariableOffsetBuilder::IsReverseDirection | ( | ) |
Returns the toggle to reverse the direction of all offsets.
Created in NX8.0.0.
License requirements : None
NXOpen::Features::VariableOffsetBuilder::MethodOptions NXOpen::Features::VariableOffsetBuilder::Method | ( | ) |
Returns the offset method
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VariableOffsetBuilder::OffsetAtA | ( | ) |
Returns the offset at corner A.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VariableOffsetBuilder::OffsetAtB | ( | ) |
Returns the offset at corner B.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VariableOffsetBuilder::OffsetAtC | ( | ) |
Returns the offset at corner C.
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VariableOffsetBuilder::OffsetAtD | ( | ) |
Returns the offset at corner D.
Created in NX8.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VariableOffsetBuilder::PointA | ( | ) |
Returns the point at corner A.
Created in NX8.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VariableOffsetBuilder::PointB | ( | ) |
Returns the point at corner B.
Created in NX8.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VariableOffsetBuilder::PointC | ( | ) |
Returns the point at corner C.
Created in NX8.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VariableOffsetBuilder::PointD | ( | ) |
Returns the point at corner D.
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::VariableOffsetBuilder::SetApplyToAll | ( | bool | isApplyToAll | ) |
Sets the toggle to set all offsets to equal value.
Created in NX8.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
isApplyToAll | isapplytoall |
void NXOpen::Features::VariableOffsetBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance.
Created in NX8.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
distanceTolerance | distancetolerance |
void NXOpen::Features::VariableOffsetBuilder::SetKeepParameterization | ( | bool | isKeepParameterization | ) |
Sets the toggle to maintain source face parameterization in the offset face.
Created in NX8.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
isKeepParameterization | iskeepparameterization |
void NXOpen::Features::VariableOffsetBuilder::SetMethod | ( | NXOpen::Features::VariableOffsetBuilder::MethodOptions | method | ) |
Sets the offset method
Created in NX8.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
method | method |
void NXOpen::Features::VariableOffsetBuilder::SetPointA | ( | NXOpen::Point * | point | ) |
Sets the point at corner A.
Created in NX8.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
point | point |
void NXOpen::Features::VariableOffsetBuilder::SetPointB | ( | NXOpen::Point * | point | ) |
Sets the point at corner B.
Created in NX8.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
point | point |
void NXOpen::Features::VariableOffsetBuilder::SetPointC | ( | NXOpen::Point * | point | ) |
Sets the point at corner C.
Created in NX8.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
point | point |
void NXOpen::Features::VariableOffsetBuilder::SetPointD | ( | NXOpen::Point * | point | ) |
Sets the point at corner D.
Created in NX8.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
point | point |
void NXOpen::Features::VariableOffsetBuilder::SetReverseDirection | ( | bool | isReverseDirection | ) |
Sets the toggle to reverse the direction of all offsets.
Created in NX8.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
isReverseDirection | isreversedirection |